
<html xmlns:th="http://www.thymeleaf.org">
<div th:fragment="default(id, title)">
    <div class="modal fade" role="dialog" th:id="${id} ?: _">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button id="btn-modal1-close" type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                    <h4 class="modal-title" th:text="${title}">Modal title</h4>
                </div>
                <div class="modal-body" th:include="${content} ?: _"></div>
                <div class="modal-footer">
                    <button id="btn-modal1-cancel" type="button" class="btn btn-default" data-dismiss="modal" role="cancel" th:text="#{Cancel}">Cancel</button>
                    <button id="btn-modal1-validate" type="button" class="btn btn-primary" role="validate" th:text="#{Validate}">Validate</button>
                </div>
            </div>
        </div>
    </div>
</div>
<div th:fragment="single(id, title)">
    <div class="modal fade" role="dialog" th:id="${id} ?: _">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button id="btn-modal2-close" type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                    <h4 class="modal-title" th:text="${title}">Modal title</h4>
                </div>
                <div class="modal-body" th:include="${content} ?: _"></div>
                <div class="modal-footer">
                    <button id="btn-modal2-validate" type="button" class="btn btn-primary" data-dismiss="modal" role="validate" th:text="#{Ok}">Ok</button>
                </div>
            </div>
        </div>
    </div>
</div>
</html>
